<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___h_t_s__definitions" kind="group">
    <compoundname>group_ble_service_api_HTS_definitions</compoundname>
    <title>HTS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__htss__char__t">cy_stc_ble_htss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__htss__t">cy_stc_ble_htss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__htsc__char__t">cy_stc_ble_htsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__htsc__t">cy_stc_ble_htsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hts__char__value__t">cy_stc_ble_hts_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hts__descr__value__t">cy_stc_ble_hts_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__ble__hts__float32">cy_ble_hts_float32</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__htss__config__t">cy_stc_ble_htss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__htsc__config__t">cy_stc_ble_htsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___h_t_s__definitions_1gad1f278cc72db33aa29972217aa876b30" kind="enum" prot="public" static="no">
        <name>cy_en_ble_hts_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggad1f278cc72db33aa29972217aa876b30a14303869c16d00167dd331c37a6427c9" prot="public">
          <name>CY_BLE_HTS_TEMP_MEASURE</name>
          <briefdescription>
<para>Temperature Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggad1f278cc72db33aa29972217aa876b30a62fab7caed1acb3fbc8cab0341927383" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE</name>
          <briefdescription>
<para>Temperature Type Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggad1f278cc72db33aa29972217aa876b30a0badbf8e4e267844af3c76facbdbfcc0" prot="public">
          <name>CY_BLE_HTS_INTERM_TEMP</name>
          <briefdescription>
<para>Intermediate Temperature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggad1f278cc72db33aa29972217aa876b30abb0f6c5e76f9de883e4501445e66e943" prot="public">
          <name>CY_BLE_HTS_MEASURE_INTERVAL</name>
          <briefdescription>
<para>Measurement Interval Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggad1f278cc72db33aa29972217aa876b30aca23dde22226fab44e0636007604f361" prot="public">
          <name>CY_BLE_HTS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of HTS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_hts_char_index_t: </bold><linebreak />HTS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="58" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="52" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___h_t_s__definitions_1gae21b0ca77c4ef49a56ea3f7bc3eca2f0" kind="enum" prot="public" static="no">
        <name>cy_en_ble_hts_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggae21b0ca77c4ef49a56ea3f7bc3eca2f0ac02e42297c9ba6ec99f7ce8b754ee8b4" prot="public">
          <name>CY_BLE_HTS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggae21b0ca77c4ef49a56ea3f7bc3eca2f0a6d94bdbe3e6e7b2ad3c3b7c2c0422007" prot="public">
          <name>CY_BLE_HTS_VRD</name>
          <briefdescription>
<para>Valid Range descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1ggae21b0ca77c4ef49a56ea3f7bc3eca2f0ad6c604aa9ed88fdddb141589e4fe5866" prot="public">
          <name>CY_BLE_HTS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_hts_descr_index_t: </bold><linebreak />HTS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="66" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="62" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___h_t_s__definitions_1ga812476ca132c58495d472ecb38939de0" kind="enum" prot="public" static="no">
        <name>cy_stc_ble_hts_temp_type_t</name>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0aca03e54b0fe30cb3c074ce01e45a092c" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_ARMPIT</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Armpit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0a13f1fda93f9da846f5208dc4e8182761" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_BODY</name>
          <briefdescription>
<para>Body (general) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0ac8cecf58f3b7775d0c091a49d6fcf13e" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_EAR</name>
          <briefdescription>
<para>Ear (usually ear lobe) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0ad78ae7e712f86713b270df3bec6ae6b0" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_FINGER</name>
          <briefdescription>
<para>Finger. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0adc986c22bf899f1467a1fe0f9b65c3a3" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_GI_TRACT</name>
          <briefdescription>
<para>Gastro-intestinal Tract. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0aff75e9ede8c44a14f451446e20768e25" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_MOUTH</name>
          <briefdescription>
<para>Mouth. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0aac3d01a696b1ed00fbb2d858de008d93" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_RECTUM</name>
          <briefdescription>
<para>Rectum. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0a38d76e58cf86f522a012f48c94ad313c" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_TOE</name>
          <briefdescription>
<para>Toe. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_t_s__definitions_1gga812476ca132c58495d472ecb38939de0a2d24f9e058fe9c7a05b80a2538f448ee" prot="public">
          <name>CY_BLE_HTS_TEMP_TYPE_TYMPANUM</name>
          <briefdescription>
<para>Tympanum (ear drum) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_stc_ble_hts_temp_type_t: </bold><linebreak />Temperature Type measurement indicates where the temperature was measured.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="139" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="128" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="129" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the HTS specific definitions and data structures used in the HTS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>